var config = module.exports = {
    GB28181: {
        sipServer: {
            ping: 60,               //心跳周期（秒）
            ping_timeout: 3,        //最大心跳超时次数
            expires: 3600,          //注册有效期（秒）
            host: '8.131.101.81',   //SIP服务器通讯IP地址,如果使用内网映射到公网IP需要设置为公网IP地址
            serial: '34020000002000000001', //SIP服务器编号
            listen: 5060,                   //SIP通信端口
            realm: '3402000000',            //SIP服务器域
            password: '123456',             //默认密码
            ack_timeout: 30                 //服务端发送ack后，接收回应的超时时间，单位为秒,如果指定时间没有回应，认为失败
        },
        streamServer: {
            enable: true,         //是否启用内置流媒体服务 接收/转码/RTMP推送功能，如有支持GB PS RTP 收流服务器，可以设置为flase
            listen: 9200,         //接收设备端rtp流的多路复用端口
            audio_enable: false,  //是否转发音频流
            rtp_idle_timeout: 30, //rtp包空闲等待时间，如果指定时间没有收到任何包,rtp监听连接自动停止，发送BYE命令
            rtp_mix_port: 9300,  //rtp接收监听端口范围，最小值
            rtp_max_port: 9400,  //rtp接收监听端口范围，最大值           
            invite_port_fixed: true, //设备将流发送的端口，是否固定,true:发送流到多路复用端口 如9200,false:动从rtp_mix_port - rtp_max_port 之间的值中选一个可以用的端口
            host: '0.0.0.0',         //本地地址
            rtmpServer: 'rtmp://60.205.164.47/liveshow'  //RTMP服务器基地址
        }
    },
    VAG: {
        http: {
            port: 82,
            allow_origin: '*'
        },
        auth: {
            api: false,          // true to open base auth
            api_user: 'admin', //default admin
            api_pass: 'admin', //default admin
            play: true,
            publish: true,
            secret: 'nodemedia2017privatekey'
        }
    }
};
